library inbase_crashlitycs;

import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'package:inbase/InBaseConfig.dart';
import 'model/CrashReportModel.dart';

class InBaseCrashlitycs {
  static const String apiEndpoint =
      'https://inbase.webinify.com/api/v1/crashlitycs';


  /// This function will create a report on the website
  static Future<void> report(CrashReportModel crashReportModel) async {
    /// We need to get the global waterbase config
    InBaseConfig waterBaseConfig = await InBaseConfig.getConfig();

    try {
      final http.Response response = await http.post(Uri.parse(apiEndpoint),
          body: crashReportModel.toJson());
    } catch (e) {
      print(e.toString());
    }
  }
}
